penguinland

  • Content count

    19
  • Joined

  • Last visited

 Content Type 

Profiles

Forums

Downloads

Klei Bug Tracker

Game Updates

Hot Lava Bug Reporter

Everything posted by penguinland

  1. I've downloaded the new build. The updater still segfaults, I can still run the game itself, and the RoG items are now in there, but the program now crashes when I try to save and quit or when I try to load a saved game. Here is the error it gives, preceded by some other output that's probably normal (I'm unsure where exactly the error starts): ...[DrawRoads][WorldSimActual::DrawRoads] completescripts/map/forest_map.lua(334,1) Encoding... scripts/map/forest_map.lua(338,1) Encoding... DONE scripts/map/forest_map.lua(407,1) Checking Tags scripts/map/forest_map.lua(520,1) Populating voronoi... scripts/map/object_layout.lua(418,1) Warning! Could not find a spot for Beefalo Farm in node Great Plains:4:Plain scripts/map/object_layout.lua(418,1) Warning! Could not find a spot for spider_forest in node Forest hunters:1:ForestMole scripts/map/forest_map.lua(655,1) Done forest map gen! scripts/worldgen_main.lua(246,1) Checking map... scripts/worldgen_main.lua(600,1) Generation complete WorldSim::SimThread::Main() completescripts/gamelogic.lua(116,1) Unload FE scripts/gamelogic.lua(118,1) Unload FE done scripts/dlcsupport.lua(24,1) Load scripts/DLC001_prefab_files scripts/gamelogic.lua(128,1) LOAD BE Could not preload undefined prefab 0x287f9bdd (eyebrella)Could not preload undefined prefab 0x287f9bdd (eyebrella)scripts/gamelogic.lua(131,1) LOAD BE: done MiniMapComponent::AddAtlas( minimap/minimap_data.xml )scripts/components/seasonmanager.lua(1533,1) SPRING TIME scripts/gamelogic.lua(452,1) Loading Nav Grid scripts/saveindex.lua(218,1) LoadSavedSeasonData CB scripts/widgets/bloodover.lua(30,1) update state scripts/widgets/bloodover.lua(50,1) turn off scripts/screens/pausescreen.lua:21: variable 'global_loading_widget' is not declaredLUA ERROR stack traceback: =[C] in function 'error' scripts/strict.lua(23,1) scripts/screens/pausescreen.lua(21,1) in function 'ShowLoading' scripts/screens/pausescreen.lua(28,1) in function 'dorestart' scripts/screens/pausescreen.lua(135,1) in function 'onclick' scripts/widgets/button.lua(37,1) in function 'OnControl' scripts/widgets/widget.lua(112,1) in function 'OnControl' scripts/widgets/widget.lua(112,1) in function 'OnControl' scripts/widgets/widget.lua(112,1) in function 'OnControl' scripts/screens/popupdialog.lua(68,1) in function 'OnControl' scripts/frontend.lua(236,1) in function 'OnControl' scripts/input.lua(138,1) in function 'OnControl' scripts/input.lua(312,1)scripts/frontend.lua(723,1) SCRIPT ERROR! Showing error screenI get this consistently when I'm in a (new) game, press Escape, and choose the save and quit button. If I try to resume a saved game, I get a very similar stack trace, and I can provide that as well if you think it would help. Any idea what's going wrong? I don't know Lua, but I'm comfortable editing Lua scripts if someone else tells me what to insert or remove.
  2. Okay, it's been over a month now, and not only does HB not have an updated version, but I didn't even receive a reply from my last inquiry about this (2 weeks ago). Do you have an estimate on when a working Linux version might be available? I feel frustrated and angry. I paid Klei for a product they sold, and it doesn't work, and it seems like they're now ignoring me. I have given them my money and gotten nothing in return. I'm not the only person running Linux who can't get a working updater, as my previous threads have shown [1]. Is there any intention of ever getting it to work? I think all I'd need is a post-RoG version of the game pushed to Humble Bundle (though of course I'd prefer to get an updater that actually runs). [1] http://forums.kleientertainment.com/topic/32164-updater-crashes-on-ubuntu-1310/
  3. Bug Submission Please choose a category *Pick the option that fits the issue the most. Ideally use this in your thread title aswell* [Crash] Platform * Pick your platform. For instance, standalone on Mac is also possible.* StandaloneLinux (Ubuntu 13.10)Do you use mods? no Version Number(taken from the bottom left corner of the screen after pressing backspace) Rev. 88571 2013-10-30_11-54-28 12:05:27Issue title Updater crashes on startup; game runs fine Steps to reproduce Navigate to the directory where you unzipped dontstarve_x64_1383879308.tar from Humble Bundle, and run dontstarve.sh. Observe that it prints out some warnings about Pango fonts, then segfaults even before it creates any new windows. Navigate within the dontstarve/ directory to bin/ and run dontstarve.sh from there. Observe that the game itself works fine, and the crash is in the updater. Any chance I can get either a working updater or a version of the game with the November 14 and November 19 bugfixes? I'm happy to run any commands on my machine that you think would help diagnose the problem. More details: My workaround for "updating" the game had been to re-download everything from Humble Bundle every time an update came out, and then just run the game directly and skip the updater. However, I have recently learned that I still don't have the November 14 bugfix (discovered because my ham bat loses durability). It appears that the most recent version I can download from Humble Bundle is the (un-bugfix'ed) All's Well That Maxwell version.Here's the output from the crash:Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix elementFontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix elementFontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number(updater:18416): Pango-CRITICAL **: No modules found:No builtin or dynamically loaded modules were found.PangoFc will not work correctly.This probably means there was an error in the creation of: '/etc/pango/pango.modules'You should create this file by running: pango-querymodules > '/etc/pango/pango.modules'(updater:18416): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='latin'(updater:18416): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='common'zsh: segmentation fault (core dumped) ./dontstarve.shAs suggested in that output, I have run pango-querymodules > '/etc/pango/pango.modules', so that that file contains an autogenerated comment but nothing else. This didn't affect the behavior, though. I strongly suspect these warnings are a red herring anyway: the updater used to work (when I was running Ubuntu 13.04) but would display little boxes instead of letters. I suspect the Pango warnings are basically saying that I'm going to have little boxes instead of letters, and I suspect that something else is causing the crash.I had previously asked about this here http://forums.kleientertainment.com/topic/28862-updated-ubuntu-to-1310-now-dont-starve-crashes-on-startup/ which is how I learned that I could still play the game even though the updater doesn't work. However, there was no further resolution of how to get a working updater.The updater.log file in the main dontstarve/ directory is empty. Whatever is crashing happens early enough that it doesn't write anything to the log file first.It seems I'm running updater version 19 (i.e., it's in a directory called 19/)I have also tried installing Steam and installing the game through there, but when I run that version it pops up a black window and immediately crashes (even before I can enter my product key), and I don't see any obvious error messages or logs. I have never used Steam before; I'd prefer to get the standalone version of the game updated with the most recent bugfixes.
  4. It's been nearly 2 weeks, and I see nothing new on Humble Bundle. Any idea what happened to this?
  5. Per my previous comment, the Linux version hasn't had a working updater since October.
  6. Okay, it's been a month, with no sign of the new standalone installer in the Humble Store. Any estimate on when it might arrive? I feel disappointed and annoyed that I bought RoG but cannot actually play it.
  7. I removed my .klei directory, removed the directory where I had put the game, re-downloaded everything from Humble Bundle, untarred it, and tried running it again (without yet trying to untar the RoG stuff; just trying to get vanilla Don't Starve to successfully run the updater). Same problem: the updater segfaults, while the game itself (found in the dontstarve/bin/ directory) runs great. The updater worked fine on Ubuntu 12.10 and 13.04, but has never worked on Ubuntu 13.10 or 14.04. This has held true for updater versions 18, 19, and 20. Here's the output from my running it: penguinland@computer> ./dontstarve.sh Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix elementFontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix elementFontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number (updater:15159): Pango-CRITICAL **: No modules found:No builtin or dynamically loaded modules were found.PangoFc will not work correctly.This probably means there was an error in the creation of: '/etc/pango/pango.modules'You should create this file by running: pango-querymodules > '/etc/pango/pango.modules' (updater:15159): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='latin' (updater:15159): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='common'zsh: segmentation fault (core dumped) ./dontstarve.sh[139] penguinland@computer> I suspect the Fontconfig and Pango warnings are a red herring: even when the updater ran, it displayed little rectangles instead of letters of text, so I would expect font warnings even if it could run successfully (as it says, "expect ugly output."). I've followed its instructions and run "pango-querymodules > '/etc/pango/pange.modules'", so that file now contains a comment saying it was automatically generated but nothing else. The updater.log file is empty; whatever is segfaulting happens before anything gets written to it. As I said, this problem is nothing new for me: the updater hasn't worked since October (and you can look at the previous posts I've made on the Don't Starve forums to see that history). I guess I'll wait two more weeks and then try downloading the new version of the game from Humble Bundle.
  8. I'm still having issues. I'm using the standalone Linux version of the game. I have uncompressed the RoG file in the same place as the main Don't Starve files, but none of the new behavior is appearing (i.e., I don't see any birchnut trees, or deserts, or glaciers, or giants; it looks identical to vanilla Don't Starve). I'm running build 98608 (2014-03-28-14-32-39) of Don't Starve on Ubuntu 14.04 (Trusty Tahr). I suspect there's an update to Don't Starve that I'm missing (as the first line of the support center page says to update to the latest version), but the updater I have (version 20) segfaults every time I run it. So instead I run the game directly and skip the updater, as described in http://forums.kleientertainment.com/topic/32164-updater-crashes-on-ubuntu-1310/ Any chance you've fixed the problems with the Linux updater? If so, how do I get the new updater? If not, any chance you can push a newer build of the game to Humble Bundle so I can download it the old fashioned way? or perhaps there's something else I haven't done which is preventing the game from recognizing the RoG content; any idea what else I should try?
  9. Updater crashes on Ubuntu 13.10

    I see that you've updated the 32-bit Linux version on HB, though the 64-bit version still seems un-bugfix'ed (edit: the 64-bit version has been updated as well). Although the new updater still segfaults, the game itself does have the bugfixes and still runs fine, which is all I was asking for. Thanks!
  10. Updater crashes on Ubuntu 13.10

    It's been another week, and I still don't see an updated version on HB (the file I can download still ends in 1383879308.tar.gz). Do you have an estimate on when the build you've prepared will be available? Given that the reason for the new build is that the current Linux updater doesn't work, I'm not too concerned if the updater in the new version still doesn't work.
  11. Updater crashes on Ubuntu 13.10

    Thank you! I look forward to the updated version.
  12. Updater crashes on Ubuntu 13.10

    I understand that you're in the middle of lots of changes and it would be unreasonable for me to expect a nightly build or other repeated new content. All I'm asking for is a build from mid-November or later (the Don't Starve wiki suggests that the most recent publicly release update is from November 19). If I had a working updater, I would already have gotten this months ago. However, Humble Bundle still does not have the November bugfixes, and I'm not aware of a way that I can get updates besides downloading whatever they have.
  13. Updater crashes on Ubuntu 13.10

    It's been a week with no reply back. I understand that you're busy with the Reign of Giants stuff and would not prioritize this issue very highly. A simple workaround is just to push the most recent bugfix'ed version to Humble Bundle, so that I and others can then download it without using your updater. I suspect that would be much simpler than figuring out what's wrong with the updater and fixing it. Any chance this could happen?